#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <assert.h>
#include <string.h>
#include <unistd.h>

	#define     nxi 50001
	#define     nch  2005
	#define     ntp   100
	#define      pi     3.141592653589793
	#define  xlambd     0.000543
	#define       R     0.001987
	#define 	  ecam  50
	#define 	 elab  60
	#define 	euplus  50
	#define    nodes 16    //number of tT nodes plus spare
	
	#define MAXLINE 100
	
	#define MINSUBSET  5

// function prototypes

void startup(void);
void infiles(void);
void initialize(void);
void heatsched(void);
double ran3(long idum);
void monteTt(void);
void lovera(void);
double fit(long index, double **poolAge);
void worstfit(void);
void bestfit(void);
void selectsubset(void);
long randomselect(void);
void newhistoryCRS(double **poolTemp);
void sort(double **poolAge, double **poolTemp, double **poolTime);
void averages(double **poolAge, double **poolTemp);
int KEYSTROK(long stk);//  // PORT-ISSUE can be deleted if routine not implemented
void helium(void);